      SUBROUTINE EPSETA(EPS,ETA)
      implicit double precision (A-H,O-Z)
      include 'MOP6FILE'
C
C     COMPUTE AND return ETA, THE SMALLEST REPRESENTABLE NUMBER,
C     AND EPS IS THE SMALLEST NUMBER FOR WHICH 1+EPS.NE.1.
C
C
      ETA = 1.D0
   10 if ((ETA/2.D0).EQ.0.D0) go to 20
      if (ETA.LT.1.D-38) go to 20
      ETA = ETA / 2.D0
      go to 10
   20 EPS = 1.D0
   30 if ((1.D0+(EPS/2.D0)).EQ.1.D0) go to 40
      if (EPS.LT.1.D-17) go to 40
      EPS = EPS / 2.D0
      go to 30
   40 return
      end
